petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMGetFineDM

Get the fine mesh from which this was obtained by refinement

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetFineDM(DM dm, DM *fdm)

### Input Parameter

dm -The DM object

### Output Parameter

fdm -The fine DM

### See Also

DMSetFineDM()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages